Skip to main content
PUT
/
allocations
/
{allocation_id}
Update Allocation
curl --request PUT \
  --url https://api.everhour.com/allocations/{allocation_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "startDate": "2019-01-01",
  "endDate": "2019-12-31",
  "contractStartDate": "2019-03-01",
  "users": [
    79786,
    79787
  ],
  "timeOffType": 16539,
  "days": 24,
  "daysCarried": 24,
  "accrualFrequency": "daily",
  "restrictOverAllocation": false,
  "completed": false,
  "notes": "some notes"
}
'
{
  "id": 876534,
  "startDate": "2019-01-01",
  "endDate": "2019-12-31",
  "contractStartDate": "2019-03-01",
  "user": 79786,
  "timeOffType": 16539,
  "days": 24,
  "daysCarried": 24,
  "daysAllocated": 6.2,
  "daysUsed": 8,
  "accrualFrequency": "daily",
  "restrictOverAllocation": false,
  "completed": false,
  "notes": "some notes",
  "createdBy": 79562,
  "createdAt": "2018-06-01"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

allocation_id
number
required

Body

application/json
startDate
string
Example:

"2019-01-01"

endDate
string
Example:

"2019-12-31"

contractStartDate
string
Example:

"2019-03-01"

users
number[]
Example:
[79786, 79787]
timeOffType
number
Example:

16539

days
number
Example:

24

daysCarried
number
Example:

24

accrualFrequency
enum<string>
Available options:
daily,
immediately
Example:

"daily"

restrictOverAllocation
boolean
Example:

false

completed
boolean
Example:

false

notes
string
Example:

"some notes"

Response

OK

id
number
Example:

876534

startDate
string
Example:

"2019-01-01"

endDate
string
Example:

"2019-12-31"

contractStartDate
string
Example:

"2019-03-01"

user
number
Example:

79786

timeOffType
number
Example:

16539

days
number
Example:

24

daysCarried
number
Example:

24

daysAllocated
number
Example:

6.2

daysUsed
number
Example:

8

accrualFrequency
enum<string>
Available options:
daily,
immediately
Example:

"daily"

restrictOverAllocation
boolean
Example:

false

completed
boolean
Example:

false

notes
string
Example:

"some notes"

createdBy
number
Example:

79562

createdAt
string
Example:

"2018-06-01"